package server

import (
	"asapo_common/utils"
)

var listRoutes = utils.Routes{
	utils.Route{
		"GetNext",
		"Get",
		"/database/{dbname}/{stream}/{substream}/{groupid}/next",
		routeGetNext,
	},
	utils.Route{
		"GetSize",
		"Get",
		"/database/{dbname}/{stream}/{substream}/size",
		routeGetSize,
	},
	utils.Route{
		"GetSubstreams",
		"Get",
		"/database/{dbname}/{stream}/{substream}/substreams",
		routeGetSubstreams,
	},
	utils.Route{
		"GetLast",
		"Get",
		"/database/{dbname}/{stream}/{substream}/0/last",
		routeGetLast,
	},
	utils.Route{
		"GetLastAck",
		"Get",
		"/database/{dbname}/{stream}/{substream}/{groupid}/lastack",
		routeGetLastAck,
	},
	utils.Route{
		"GetNacks",
		"Get",
		"/database/{dbname}/{stream}/{substream}/{groupid}/nacks",
		routeGetNacks,
	},
	utils.Route{
		"GetID",
		"Get",
		"/database/{dbname}/{stream}/{substream}/0/{id}",
		routeGetByID,
	},
	utils.Route{
		"GetMeta",
		"Get",
		"/database/{dbname}/{stream}/{substream}/0/meta/{id}",
		routeGetMeta,
	},
	utils.Route{
		"CreateGroup",
		"Post",
		"/creategroup",
		routeCreateGroupID,
	},
	utils.Route{
		"QueryImages",
		"Post",
		"/database/{dbname}/{stream}/{substream}/0/queryimages",
		routeQueryImages,
	},
	utils.Route{
		"ResetConter",
		"Post",
		"/database/{dbname}/{stream}/{substream}/{groupid}/resetcounter",
		routeResetCounter,
	},
	utils.Route{
		"ImageOp",
		"Post",
		"/database/{dbname}/{stream}/{substream}/{groupid}/{id}",
		routeImageOp,
	},
	utils.Route{
		"Health",
		"Get",
		"/health",
		routeGetHealth,
	},
}
